/*	itcap head file	*/
#ifdef _ITCAP_H_
#define _ITCAP_H_

#include "../../../public/src/include/public.h"
#include "tcap_public.h"
#include "tcap_struct.h"

void tcap_disp_dlg(struct CSLdlg_struct *dha_ptr,u8 disp_flag);
void tcap_disp_cmp(struct CSLcmp_struct *cha_ptr,u8 disp_flag);

u8	RecvTcapDlg(struct CSLdlg_struct *dha_ptr,u32 dlg_flag);
u8	RecvTcapCmp(struct CSLcmp_struct *cha_ptr,u32 dlg_flag);
u8	SendTcapDlg(struct CSLdlg_struct *dha_ptr);
u8	SendTcapCmp(struct CSLcmp_struct *cha_ptr);
int itcap_reg_ssn(u8 ssn);
void tcap_change_local_ssn(u32 proc,u8 src_ssn,u8 dst_ssn);
#endif
